# Plugins

*The term 'Plugins' is referring to any types in Umbraco that are found in assemblies that are used to extend and/or enhance the Umbraco application. Plugins can also be added directly registered to their specific 'Resolver' if the plugin type is not public or if the Resolver type doesn't support finding types in assemblies.*

What is a Resolver and what kinds of Resolvers are there?

## [Creating a Resolver for a Plugin](/umbraco-cms/reference/plugins/creating-resolvers.md)

Creating a single object and multiple object Resolver.

## [Finding types](/umbraco-cms/reference/plugins/finding-types.md)

Using the PluginManager to lookup types in assemblies to register in Resolvers.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/plugins.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
